const auth_routes = {
    prefix: '/api/v1/auth',

    middleware: [

    ],

    get: {

    },

    post: {
        '/validate/username': ['controller::api:v1:Auth.validate_username'],
        '/attempt': [ 'controller::api:v1:Auth.attempt' ],
        '/mfa/generate': ['middleware::auth:UserOnly', 'controller::api:v1:Auth.generate_mfa_key'],
        '/mfa/attempt': ['middleware::auth:DMZOnly', 'controller::api:v1:Auth.attempt_mfa'],
        '/mfa/enable': ['middleware::auth:UserOnly', 'controller::api:v1:Auth.enable_mfa'],
    },
}

module.exports = exports = auth_routes
